package com.ym.mec.biz.dal.dto;

public class ExportVipStudentCourseManageDto {
    //分部
    private String organName;

    //学员
    private String username;

    //学员编号
    private Integer userId;

    //老师
    private String teacherName;

    //老师编号
    private Integer teacherId;

    //教务
    private String eduName;

    //教务编号
    private Integer eduId;

    //声部课老师
    private String subjectTeacherName;

    //声部课老师
    private Integer subjectTeacherId;

    //近30天消耗课时
    private Integer consumerTimes;

    //总课时
    private Integer totalClassNum;

    //已完成课次
    private Integer completedTimes;

    //剩余课次
    private Integer remaindTimes;

    //最近上课时间
    private String lastCourseTime;

    //是否活跃
    private String activeFlag;

    private String courseType;

    public String getSubjectTeacherName() {
        return subjectTeacherName;
    }

    public void setSubjectTeacherName(String subjectTeacherName) {
        this.subjectTeacherName = subjectTeacherName;
    }

    public Integer getSubjectTeacherId() {
        return subjectTeacherId;
    }

    public void setSubjectTeacherId(Integer subjectTeacherId) {
        this.subjectTeacherId = subjectTeacherId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getEduName() {
        return eduName;
    }

    public void setEduName(String eduName) {
        this.eduName = eduName;
    }

    public Integer getEduId() {
        return eduId;
    }

    public void setEduId(Integer eduId) {
        this.eduId = eduId;
    }

    public Integer getConsumerTimes() {
        return consumerTimes;
    }

    public void setConsumerTimes(Integer consumerTimes) {
        this.consumerTimes = consumerTimes;
    }

    public Integer getTotalClassNum() {
        return totalClassNum;
    }

    public void setTotalClassNum(Integer totalClassNum) {
        this.totalClassNum = totalClassNum;
    }

    public Integer getCompletedTimes() {
        return completedTimes;
    }

    public void setCompletedTimes(Integer completedTimes) {
        this.completedTimes = completedTimes;
    }

    public Integer getRemaindTimes() {
        return remaindTimes;
    }

    public void setRemaindTimes(Integer remaindTimes) {
        this.remaindTimes = remaindTimes;
    }

    public String getLastCourseTime() {
        return lastCourseTime;
    }

    public void setLastCourseTime(String lastCourseTime) {
        this.lastCourseTime = lastCourseTime;
    }

    public String getActiveFlag() {
        return activeFlag;
    }

    public void setActiveFlag(String activeFlag) {
        this.activeFlag = activeFlag;
    }

    public String getCourseType() {
        return courseType;
    }

    public void setCourseType(String courseType) {
        this.courseType = courseType;
    }
}
